%global momorel 1
Summary:        Power Management Service
Name:           upower
Version:        0.99.7
Release: %{momorel}m%{?dist}
License:        GPLv2+
Group:          System Environment/Libraries
URL:            http://upower.freedesktop.org/
Source0:        http://upower.freedesktop.org/releases/upower-%{version}.tar.xz
NoSource:	0
BuildRequires:  sqlite-devel
BuildRequires:  libtool
BuildRequires:  intltool
BuildRequires:  gettext
BuildRequires:  libgudev1-devel
%ifnarch s390 s390x
BuildRequires:  libusb1-devel
BuildRequires:  libimobiledevice-devel >= 1.2
%endif
BuildRequires:  glib2-devel >= 2.6.0
BuildRequires:  dbus-devel  >= 1.2
BuildRequires:  dbus-glib-devel >= 0.82
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
Requires:       udev
Requires:       gobject-introspection

%description
UPower (formerly DeviceKit-power) provides a daemon, API and command
line tools for managing power devices attached to the system.

%package devel
Summary: Headers and libraries for UPower
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Headers and libraries for UPower.

%package devel-docs
Summary: Headers and libraries for UPower
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description devel-docs
Developer documentation for for libupower-glib.

%prep
%setup -q

%build
%configure \
        --enable-gtk-doc \
        --disable-static \
        --enable-introspection \
%ifarch s390 s390x
	--with-backend=dummy
%endif

# Disable SMP build, fails to build docs
make

%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.la

%find_lang upower

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f upower.lang
%defattr(-,root,root,-)
%doc NEWS COPYING AUTHORS HACKING README
%{_libdir}/libupower-glib.so.*
%{_sysconfdir}/dbus-1/system.d/*.conf
%ifnarch s390 s390x
%{_udevrulesdir}/*.rules
%endif
%dir %{_localstatedir}/lib/upower
%dir %{_sysconfdir}/UPower
%config %{_sysconfdir}/UPower/UPower.conf
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/girepository-1.0/*.typelib
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*.service
%{_unitdir}/*.service

%files devel
%defattr(-,root,root,-)
%{_datadir}/dbus-1/interfaces/*.xml
%{_libdir}/libupower-glib.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%dir %{_includedir}/libupower-glib
%{_includedir}/libupower-glib/up-*.h
%{_includedir}/libupower-glib/upower.h

%files devel-docs
%defattr(-,root,root,-)
%{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html/UPower
%{_datadir}/gtk-doc/html/UPower/*

%changelog
* Fri Dec 01 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99.7-1m)
- update to 0.99.7

* Fri Aug 19 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99.4-1m)
- update to 0.99.4

* Mon Jul 27 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.99.3-1m)
- update to 0.99.3

* Tue Jan 27 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.99.2-1m)
- update to 0.99.2

* Sat Sep 27 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.99.1-1m)
- update to 0.99.1

* Mon Mar  3 2014 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.99.0-2m)
- use _unitidir and _udevrulesdir

* Tue Dec 24 2013 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.99.0-1m)
- update to 0.99.0

* Fri Nov 22 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.23-2m)
- rebuild against libimobiledevice-1.1.5

* Tue Nov 19 2013 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.23-1m)
- update 0.9.23

* Wed Aug 29 2012 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.18-1m)
- update 0.9.18

* Mon Jul 23 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.15-3m)
- add Requires and BuildRequires

* Thu Jun 28 2012 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.15-2m)
- rebuild for glib 2.33.2

* Wed Dec  7 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.15-1m)
- update 0.9.15

* Wed Oct  5 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.14-1m)
- update 0.9.14

* Sun Sep 11 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.13-1m)
- update 0.9.13

* Mon Aug  1 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.12-2m)
- rebuild against libimobiledevice-1.1.1

* Sun Jul 24 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.12-1m)
- update 0.9.12

* Wed May  4 2011 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.9-1m)
- enable introspection

* Thu Apr 14 2011 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.9-1m)
- update 0.9.9

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.7-3m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.7-2m)
- rebuild for new GCC 4.5

* Thu Nov 11 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.7-1m)
- update 0.9.7

* Sun Oct  3 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.5-3m)
- disable introspection

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.5-2m)
- full rebuild for mo7 release

* Sun Jul 25 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.5-1m)
- update 0.9.5

* Sat May 22 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.4-2m)
- Obsoletes and Provides: UPower-devel

* Fri May 21 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.4-1m)
- update 0.9.4

* Wed Apr 21 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.9.1-2m)
- update source url

* Thu Mar 18 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.1-1m)
- devicekit-power was renamed UPower

* Mon Feb  1 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (014-2m)
- --enable-gtk-doc

* Sat Jan 16 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (014-1m)
- update to 014

* Sun Dec 20 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (013-2m)
- --disable-gtk-doc

* Tue Dec  8 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (013-1m)
- update to 013

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (012-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Oct 23 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (012-1m)
- update to 012

* Sun Oct 18 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (011-1m)
- update to 011

* Sun Sep 27 2009 Masanobu Sato <satoshiga@momonga-linux.org>
- (010-2m)
- replace %%{_lib} in %%files section to lib for x86_64

* Sun Sep 27 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (010-1m)
- update to 010

* Tue Jun  9 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (008-1m)
- update 008

* Fri May 22 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (007-1m)
- update 007

* Wed Feb 11 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (006-1m)
- initial build
